- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSrLReader Class Reference

The OSrLReader Class. More...

`#include <OSrLReader.h>`

Collaboration diagram for OSrLReader:

[legend]
List of all members.

## Public Member Functions
| OSrLReader ()
| OSrL class constructor.
| ~OSrLReader ()
| OSrL class destructor.
OSResult * | readOSrL (const std::string &posrl) throw (ErrorClass)
| Get an OSResult object from an OSrL string.
## Private Attributes
OSResult * | m_osresult
| m_osresult is the OSResult object returned by the OSrLReader
OSrLParserData * | m_parserData
| m_parserData is the object used in the parser to temporarily store data from the OSrL schema elements.
OSgLParserData * | m_osglData
| m_osglData is the object used in the parser to temporarily store data from the OSgL schema elements.

## Detailed Description

The OSrLReader Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for parsing an OSrL string and creating an OSResult object from the string.

Definition at line 41 of file OSrLReader.h.

## Constructor & Destructor Documentation

OSrLReader::OSrLReader | ( |  | ) |

OSrL class constructor.

Definition at line 28 of file OSrLReader.cpp.

References m_osglData, m_osresult, m_parserData, osrllex_init(), osrlset_extra(), and OSrLParserData::scanner.

OSrLReader::~OSrLReader | ( |  | ) |

OSrL class destructor.

Definition at line 52 of file OSrLReader.cpp.

References m_osglData, m_osresult, m_parserData, osrllex_destroy(), and OSrLParserData::scanner.

## Member Function Documentation

OSResult * OSrLReader::readOSrL | ( | const std::string & | posrl | ) | throw (ErrorClass)

Get an OSResult object from an OSrL string.

Parameters:

  | osrl | an OSrL string.

Returns:
  the OSResult object corresponding to the OSrL string.

Definition at line 84 of file OSrLReader.cpp.

References ErrorClass::errormsg, and yygetOSResult().

Referenced by getOSResult(), main(), and OSrL2Gams::writeSolution().

## Member Data Documentation

OSResult* OSrLReader::m_osresult`[private]`

m_osresult is the OSResult object returned by the OSrLReader

Definition at line 71 of file OSrLReader.h.

Referenced by OSrLReader(), and ~OSrLReader().

OSrLParserData* OSrLReader::m_parserData`[private]`

m_parserData is the object used in the parser to temporarily store data from the OSrL schema elements.

Definition at line 76 of file OSrLReader.h.

Referenced by OSrLReader(), and ~OSrLReader().

OSgLParserData* OSrLReader::m_osglData`[private]`

m_osglData is the object used in the parser to temporarily store data from the OSgL schema elements.

Definition at line 81 of file OSrLReader.h.

Referenced by OSrLReader(), and ~OSrLReader().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSrLReader.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSrLReader.cpp